# ChangeLog

## Unreleased

**Added:**
* Configuration change listener
* `PIVEAU_LOG_LEVEL` for general log level configuration of the `io.piveau`package

**Changed:**
* Requires now latest LTS Java 11
* Docker base image to openjdk:11-jre

**Removed:**
* Hash calculation removed

**Fixed:**
* Update all dependencies

## [0.1.1](https://gitlab.fokus.fraunhofer.de/viaduct/piveau-transforming-js/tags/0.1.1) (2019-07-12)

**Added:**
* buildInfo.json for build info via `/health` path
* Environment variable for repository default branch
* config.schema.json

**Changed:**
* Readme
* Add `PIVEAU_` prefix to logstash configuration environment variables

## [0.1.0](https://gitlab.fokus.fraunhofer.de/viaduct/piveau-transforming-js/tags/0.1.0) (2019-05-17)

**Added:**
* Environment variable for repository default branch

**Changed:**
* Readme

## [0.0.1](https://gitlab.fokus.fraunhofer.de/viaduct/piveau-transforming-js/tags/0.0.1) (2019-05-03)
Initial release